/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ER_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ER_TRIPCITY_L') 
 CREATE TABLE T_ER_TRIPCITY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ER_TRIPCITY') 
 CREATE TABLE T_ER_TRIPCITY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME DEFAULT {ts'1970-01-01 00:00:00'},
FMODIFYTIME DATETIME DEFAULT {ts'1970-01-01 00:00:00'},
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0',
FCODE VARCHAR(44) DEFAULT ' ',
FADMINDIVISIONID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID INT DEFAULT 0 NOT NULL,
FCITYID INT DEFAULT 0 NOT NULL,
FNAMEEN VARCHAR(44) DEFAULT ' ',
FNAMEPINYIN VARCHAR(44) DEFAULT ' ',
FPROVINCEID INT DEFAULT 0 NOT NULL,
FCOUNTRYCODE VARCHAR(44) DEFAULT ' ',
FCOUNTRYNAME VARCHAR(44) DEFAULT ' ',
FCOUNTRYENAME VARCHAR(44) DEFAULT ' ',
FPOITYPE INT DEFAULT 0 NOT NULL,
FDUPLICATECITYNAMEFLAG INT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ER_table.sql **/
